﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Infragistics.Controls.Layouts;
using System.Collections.ObjectModel;

namespace TileDropOutsideOfTheManager
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
            TileSource = new ObservableCollection<TileData>();
            ListData = new ObservableCollection<TileData>();


            for (int i = 0; i < 10; i++)
            {
                TileSource.Add(new TileData
                {
                    Header = "Tile " + i,
                    Description = "Some description regarding tile " + i,
                });
            }

            DataContext = this;

        }

        public ObservableCollection<TileData> TileSource { get; set; }
        public ObservableCollection<TileData> ListData { get; set; }

        private void DragSource_Drop(object sender, Infragistics.DragDrop.DropEventArgs e)
        {
            XamTile tile = e.DragSource as XamTile;
            TileData data = tile.DataContext as TileData;
            if (!ListData.Contains(data))
                ListData.Add(data);
        }
    }

    public class TileData
    {
        public string Header { get; set; }
        public string Description { get; set; }
    }
}
